<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <link rel="stylesheet" th:href="@{/styles.css}"/>
  <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
  <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}"></script>
</head>
<body>
<div class="container">
  <div class="row">
    <div class="col-3">
      takes 3/12 of row
    </div>
    <div class="col-4">
      takes 4/12 of row
    </div>
    <div class="col-5">
      takes 5/12 of row
    </div>
  </div>
</div>
</body>
</html>